This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 725129

Summary: MRPT bundles libraries
Product: [Fedora] Fedora Reporter: Rich Mattes <richmattes>
Component: mrptAssignee: Rich Mattes <richmattes>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: joseluisblancoc, sanjay.ankur
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 08:35:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 690026    
Bug Blocks: 504493    

Description Rich Mattes 2011-07-22 20:33:07 EDT
Description of problem:
mrpt is currently bundling eigen3, which is now available in the Fedora repositories.  It looks like the build system will find the system eigen3 when available, so the spec should delete the included eigen3 during %prep, as per http://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

gtest-1.5.0 is also available in the Fedora repositories.  If the gtest in mrpt can be replaced by the system version, mrpt should also be patched to use the system gtest when available.
Comment 1 Fedora Admin XMLRPC Client 2012-01-10 22:45:41 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Rich Mattes 2012-01-17 18:51:03 EST
It's worse than I thought.  I just did a quick audit of the source, bundled libraries include:

  -eigen3      Available in Fedora
  -gtest-1.5.0 Available in Fedora
  -tclap       Available in Fedora
  -freeglut    Available in Fedora
  -zlib        Available in Fedora
  -lib3ds      Available in Fedora
  -glew        Available in Fedora
  -glext       Available in Fedora (mesa-libGL-devel)
  -jpeglib     Available in Fedora
  -libfreenect Under Review (#690026)


  -wxThings    Not in Fedora (http://wxcode.sourceforge.net/showcomp.php?name=wxThings)
  -wxMathplot  Not in Fedora (http://wxmathplot.sourceforge.net/)
  -CSparse     Not in Fedora (http://www.cise.ufl.edu/research/sparse/CSparse
)
  -nanoflann   Not in Fedora (http://code.google.com/p/nanoflann/)
  -stlplus     Not in Fedora (http://stlplus.sourceforge.net/)
  -kmeans++    Not in Fedora (http://www.stanford.edu/~darthur/kmpp.zip)
  -SimpleIni   Not in Fedora (http://code.jellycan.com/simpleini/)
  -ConvertUTF  Available in Fedora (part of clang-devel)
  -XMLParser   Not in Fedora (http://www.applied-mathematics.net/tools/xmlParser.html)
  -aria        Not in Fedora (http://robots.mobilerobots.com/wiki/ARIA)
  -xSens       Not in Fedora (http://www.xsens.com/en/mt-sdk)
  -sift        Not in Fedora (http://www.cs.ubc.ca/~lowe/keypoints/)
Comment 3 Jose Luis 2012-01-17 19:14:18 EST
Hi Rich, 

First, thanks for taking time to have a look at this. 

I'm the upstream main developer, but I'm having recently very little spare time to maintain mrpt...

You're right: the build system will automatically detect most of those deps if they're in the system and ignore bundled libs. BTW: my policy embedding so many libs within MRPT was to make things simple to Windows users, which don't have any proper package system.

I can confirm you that the following embedded libs are safe to be deleted at prep (i.e. their system version is detected and used):

- eigen3
- gtest
- freeglut
- zlib
- lib3ds
- glew
- flext
- jpeglib
- libfreenect (as many other libs, via pkg-config if I recall it right)

These are NOT detected in the system:
- tclap: (didn't even know there was a package for it!)
- ConvertUTF.

I took note of these two for making MRPT upstream also to detect them.

Regards,
JL
Comment 4 Fedora End Of Life 2012-08-07 14:13:55 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-04-03 15:42:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 16:51:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 08:35:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.